[arch-commits] Commit in samba/trunk (PKGBUILD fix-ipv6-mount.patch)

Tobias Powalowski tpowa at archlinux.org
Thu Mar 18 08:38:53 CET 2010


    Date: Thursday, March 18, 2010 @ 03:38:53
  Author: tpowa
Revision: 72529

upgpkg: samba 3.5.1-1
bump to latest version

Added:
  samba/trunk/fix-ipv6-mount.patch
Modified:
  samba/trunk/PKGBUILD

----------------------+
 PKGBUILD             |   18 ++++++++++++------
 fix-ipv6-mount.patch |   11 +++++++++++
 2 files changed, 23 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-18 06:47:02 UTC (rev 72528)
+++ PKGBUILD	2010-03-18 07:38:53 UTC (rev 72529)
@@ -3,12 +3,12 @@
 # Contributor: judd <jvinet at zeroflux.org>
 pkgbase=samba
 pkgname=('smbclient' 'samba')
-pkgver=3.5.0
+pkgver=3.5.1
 # We use the 'A' to fake out pacman's version comparators.  Samba chooses
 # to append 'a','b',etc to their subsequent releases, which pamcan
 # misconstrues as alpha, beta, etc.  Bad samba!
-_realver=3.5.0
-pkgrel=2
+_realver=3.5.1
+pkgrel=1
 arch=(i686 x86_64)
 url="http://www.samba.org"
 license=('GPL3')
@@ -18,10 +18,15 @@
         samba samba.logrotate 
         swat.xinetd 
         samba.pam 
-        samba.conf.d)
+        samba.conf.d
+        fix-ipv6-mount.patch)
 ### UNINSTALL dmapi package before building!!!
 
 build() {
+  cd ${srcdir}/${pkgbase}-${_realver}/
+  # fix https://bugzilla.samba.org/show_bug.cgi?id=7205
+  patch -Np0 -i ${srcdir}/fix-ipv6-mount.patch || return 1
+
   cd ${srcdir}/${pkgbase}-${_realver}/source3
   ./configure --prefix=/usr \
               --libdir=/usr/lib/ \
@@ -133,9 +138,10 @@
   # copy ldap example
   install -D -m644 ${srcdir}/samba-${_realver}/examples/LDAP/samba.schema ${pkgdir}/usr/share/doc/samba/examples/LDAP/samba.schema
 }
-md5sums=('05e389aff7d3de16561006b35332a881'
+md5sums=('60811195b0507fa151b602684cece743'
          'e93533fa2296c07c1f645dfdd373657f'
          '5697da77590ec092cc8a883bae06093c'
          'a4bbfa39fee95bba2e7ad6b535fae7e6'
          '96f82c38f3f540b53f3e5144900acf17'
-         'f2f2e348acd1ccb566e95fa8a561b828')
+         'f2f2e348acd1ccb566e95fa8a561b828'
+         'c6a38a8c8fa24979e6217aed533358ea')

Added: fix-ipv6-mount.patch
===================================================================
--- fix-ipv6-mount.patch	                        (rev 0)
+++ fix-ipv6-mount.patch	2010-03-18 07:38:53 UTC (rev 72529)
@@ -0,0 +1,11 @@
+--- client/mount.cifs.c.orig	2010-03-03 13:42:02.143936727 +1000
++++ client/mount.cifs.c	2010-03-04 01:53:22.752879004 +1000
+@@ -1563,7 +1563,7 @@
+ 		}
+ 	}
+
+-	if (addr->ai_addr->sa_family == AF_INET6 && addr6->sin6_scope_id) {
++	if (addr && addr->ai_addr->sa_family == AF_INET6 && addr6->sin6_scope_id) {
+ 		strlcat(options, "%", options_size);
+ 		current_len = strnlen(options, options_size);
+ 		optionstail = options + current_len; 



More information about the arch-commits mailing list